<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>Functions (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/filelevel/package-summary.html">Namespace</a></li>
<li class="active">Function</li>
<li><a href="../../../phpdoctor/tests/filelevel/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/filelevel/package-functions.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_function">Function</a>
Detail: <a href="#detail_function">Function</a>
</div>
<hr>

<h1>Functions</h1>

<hr>

<table id="summary_function" class="title">
<tr><th colspan="2" class="title">Function Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#aFunction()">aFunction</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#aFunctionWithParams()">aFunctionWithParams</a>(mixed one, mixed two)</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#aFunctionWithTypeHints()">aFunctionWithTypeHints</a>(int three, string four)</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#customExceptionThrower()">customExceptionThrower</a>()</p><p class="description">This is a function that throws a custom exception</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#functionThatReturnsAReference()">functionThatReturnsAReference</a>()</p></td>
</tr>
</table>

<h2 id="detail_function">Function Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line141" class="location">tests/cases/data/php5-test.php at line 141</a>

<h3 id="aFunction()">aFunction</h3>
<code class="signature">public  void <strong>aFunction</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line142" class="location">tests/cases/data/php5-test.php at line 142</a>

<h3 id="aFunctionWithParams()">aFunctionWithParams</h3>
<code class="signature">public  void <strong>aFunctionWithParams</strong>(mixed one, mixed two)</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line143" class="location">tests/cases/data/php5-test.php at line 143</a>

<h3 id="aFunctionWithTypeHints()">aFunctionWithTypeHints</h3>
<code class="signature">public  void <strong>aFunctionWithTypeHints</strong>(int three, string four)</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line190" class="location">tests/cases/data/php5-test.php at line 190</a>

<h3 id="customExceptionThrower()">customExceptionThrower</h3>
<code class="signature">public  void <strong>customExceptionThrower</strong>()</code>
<div class="details">
<p>This is a function that throws a custom exception</p>
<dl>
<dt>Throws:</dt>
<dd><a href="../../../phpdoctor/tests/filelevel/myexception.html">myException</a> - Some kind of exception occurred</dd>
</dl>
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line144" class="location">tests/cases/data/php5-test.php at line 144</a>

<h3 id="functionThatReturnsAReference()">functionThatReturnsAReference</h3>
<code class="signature">public  void <strong>functionThatReturnsAReference</strong>()</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/filelevel/package-summary.html">Namespace</a></li>
<li class="active">Function</li>
<li><a href="../../../phpdoctor/tests/filelevel/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/filelevel/package-functions.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_function">Function</a>
Detail: <a href="#detail_function">Function</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>